Subject: Re: [PATCH 2/3] t5563: add missing end-of-line in HTTP header

From: Jeff King <[email-masked]>
Date: Fri, 19 Dec 2025 02:32:32 -0500

On Thu, Dec 18, 2025 at 01:41:54PM +0000, Matthew John Cheetham wrote:

> On 2025-12-18 12:18, Jeff King wrote:
> 
> > In t5563, we test how various oddly-formatted WWW-Authenticate headers
> > are passed through curl to git's credential subsystem (and ultimately
> > out to credential helpers). One test, "access using basic auth with
> > wwwauth header mixed line-endings" does something odd. It does not mix
> > line endings at all (which must be CRLF according to the RFC anyway),
> > but omits the line ending entirely for the final header!
> 
> Aha! Yes, the test should be using *all CRLF line endings*, and is
> poorly named. I believe the intent here is to test mixed *continuation
> line* characters.
> 
> E.g, when a continuation line starts with a space, or a tab character,
> for the same logical header:
> 
> WWW-Authenticate: FooBar param1="value1"\r\n
>  \r\n
> \tparam2="value2"\r\n

Ah, great. I'm happy that my guess was right and there was not something
trickier going on (which would have made coming up with a workaround
more difficult!). Thanks for confirming.

-Peff